<Type Name="NpgsqlConnection" FullName="Npgsql.NpgsqlConnection">
  <TypeSignature Language="C#" Value="public sealed class NpgsqlConnection : IDbConnection, IDisposable" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>Npgsql</AssemblyName>
    <AssemblyPublicKey>
    </AssemblyPublicKey>
    <AssemblyVersion>0.6.0.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes />
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.</ThreadSafetyStatement>
  <Docs>
    <summary>Represents an open connection to a PostgreSQL database.</summary>
    <remarks>
      <para>
		This represents a unique connection to a PostgreSQL database backend. The connection is used in conjunction with other classes
		in the <see cref="N:Npgsql" /> provider like <see cref="T:Npgsql.NpgsqlCommand" />, <see cref="T:Npgsql.NpgsqlDataReader" />, and
		<see cref="T:Npgsql.NpgsqlDataAdapter" /> to fetch, add, update, or delete data in the database.
		</para>
    </remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.Data.IDbConnection</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.IDisposable</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="BeginTransaction">
      <MemberSignature Language="C#" Value="public Npgsql.NpgsqlTransaction BeginTransaction ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>Npgsql.NpgsqlTransaction</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:Npgsql.NpgsqlTransaction" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="BeginTransaction">
      <MemberSignature Language="C#" Value="public Npgsql.NpgsqlTransaction BeginTransaction (System.Data.IsolationLevel level);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>Npgsql.NpgsqlTransaction</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="level" Type="System.Data.IsolationLevel" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="level">a <see cref="T:System.Data.IsolationLevel" /></param>
        <returns>a <see cref="T:Npgsql.NpgsqlTransaction" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ChangeDatabase">
      <MemberSignature Language="C#" Value="public virtual void ChangeDatabase (string dbName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="dbName" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dbName">a <see cref="T:System.String" /></param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Open">
      <MemberSignature Language="C#" Value="public virtual void Open ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>Connect to the PostgreSQL database backend</summary>
        <remarks>To be added</remarks>
        <example>
          <para>
				To establish a connection to a server located at ip 127.0.0.1, port 5432, as the user joe, 
				with the password secret, using the database joedata, you use the NpgsqlConnection as:
			</para>
          <code lang="C#">
using System;
using System.Data;
using Npgsql;

public class NpgsqlConnDemo
{
  public static void Main(String[] args)
  {
	// Create a new connection object
	NpgsqlConnection conn = new NpgsqlConnection("Server=127.0.0.1;Port=5432;User Id=joe;Password=secret;Database=joedata;");
	// Open the connection
	conn.Open();
	// Close it
	conn.Close();
  }
}
			</code>
        </example>
      </Docs>
    </Member>
    <Member MemberName="Close">
      <MemberSignature Language="C#" Value="public virtual void Close ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateCommand">
      <MemberSignature Language="C#" Value="public Npgsql.NpgsqlCommand CreateCommand ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>Npgsql.NpgsqlCommand</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:Npgsql.NpgsqlCommand" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public NpgsqlConnection ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:Npgsql.NpgsqlConnection" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public NpgsqlConnection (string ConnectionString);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="ConnectionString" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="ConnectionString">a <see cref="T:System.String" /></param>
        <returns>a <see cref="T:Npgsql.NpgsqlConnection" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ConnectionString">
      <MemberSignature Language="C#" Value="public virtual string ConnectionString { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:System.String" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ConnectionTimeout">
      <MemberSignature Language="C#" Value="public virtual int ConnectionTimeout { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:System.Int32" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Database">
      <MemberSignature Language="C#" Value="public virtual string Database { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:System.String" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="State">
      <MemberSignature Language="C#" Value="public virtual System.Data.ConnectionState State { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.ConnectionState</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:System.Data.ConnectionState" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Notification">
      <MemberSignature Language="C#" Value="public event Npgsql.NotificationEventHandler Notification;" />
      <MemberType>Event</MemberType>
      <ReturnValue>
        <ReturnType>Npgsql.NotificationEventHandler</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Dispose">
      <MemberSignature Language="C#" Value="protected override void Dispose (bool disposing);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="disposing" Type="System.Boolean" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="disposing">a <see cref="T:System.Boolean" /></param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CertificateValidationCallback">
      <MemberSignature Language="C#" Value="public Mono.Security.Protocol.Tls.CertificateValidationCallback CertificateValidationCallback;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Security.Protocol.Tls.CertificateValidationCallback</ReturnType>
      </ReturnValue>
      <Parameters>
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CertificateSelectionCallback">
      <MemberSignature Language="C#" Value="public Mono.Security.Protocol.Tls.CertificateSelectionCallback CertificateSelectionCallback;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Security.Protocol.Tls.CertificateSelectionCallback</ReturnType>
      </ReturnValue>
      <Parameters>
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="PrivateKeySelectionCallback">
      <MemberSignature Language="C#" Value="public Mono.Security.Protocol.Tls.PrivateKeySelectionCallback PrivateKeySelectionCallback;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.Security.Protocol.Tls.PrivateKeySelectionCallback</ReturnType>
      </ReturnValue>
      <Parameters>
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Clone">
      <MemberSignature Language="C#" Value="public virtual object Clone ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Object</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:System.Object" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>